@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;400;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@200;300;400;500;600;700;800;900&display=swap');

/*Declarar variables*/
:root {
    /*Paleta de Colores*/
    --color-blanco: #fff;
    --color-negro: #000;
    --color-grisOscuro: #bebebe;


    /*Tipos de letras*/
    --fuente-principal: 'Raleway', 'sans-serif';
}


/* Definiendo los breackpoints para diferentes tamaños de pantalla */

/* Para pantallas grandes (Hasta 1200px) */
@media screen and (max-width: 1400px){
    .contenedor{
        max-width: 90%!important;;
        
    }

    .grid{
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 30px;
        margin: 60px 0;
    }

    

}

@media screen and (max-width: 1500px){

 
    .gridVideo{
        display: grid;
        grid-template-columns: 1fr;
    }

    .gridVideo div{
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 10px 10px 10px 10px;
    
    }

}

/* Para pantallas de tableta (Hasta 768px) */
@media screen and (max-width: 768px){
    #header  .espaciado{
        padding-top: 10px!important;;
        padding-bottom: 10px!important;;
    }

    #pie{
        padding-top: 25px;
        padding-bottom: 25px;
    }

    #pie .fila{
        flex-direction: column !important;
        align-items: center !important;
        align-content: center !important;
        
    }

    #logo{
        display: flex;
    }

    #logo .grid{
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 30px;
        margin: 60px 0;
    }

  

    .grid div{
        height: 150px;
        background: rgb(228, 227, 227);
        width: 200px;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 15px;
        margin: 10px 10px 10px 10px  ;
    }


    .grid{
        display: grid;
        grid-template-columns: 1fr 1fr ;
        gap: 30px;
        margin: 60px 0;
    }

    .gridVideo{
        display: grid;
        grid-template-columns: 1fr ;
    }

    .gridVideo div{
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 10px 10px 10px 10px;
    
    }
        
    .nav-menu {
        flex-direction: column;
        align-items: center;
        margin: 0;
        background-color: var(--color-negro);
        position: fixed;
        top: 60px;
        width: 100%;
        padding: 20px 0;
    
        height: calc(100% - 60px);
        overflow-y: auto;
    
        left: 100%;
        transition: left 0.3s;
      }
    
      .nav-menu-item {
        line-height: 70px;
      }
    
      .nav-menu-link:hover,
      .nav-menu-link_active {
        background: none;
        color: #83c5f7;
      }
    
      .bars_menu {
        display: block;
      }
    
      .nav-menu_visible {
        left: 0;
      }
    
      .bars_menu:focus:not(:focus-visible) {
        outline: none;
      }

    .descripcion{
         padding: 0 ;
}
}

/* Para pantallas de celulares (Hasta 576) */
@media screen and (max-width: 576px){

    .espaciado{
        padding-top: 15px;
        padding-bottom: 15px;
    }
    #contactanos-formulario .form{
            width: 300px;
            height: 430px;
            background: var(--color-blanco);
            border-radius: 8px;
            box-shadow: 0 0 7px -5px #000;
            padding: 10px 20px;
            box-sizing: border-box;
    }

    /*NOSOTROS*/
    #titulo{
        font-family: var(--fuente-principal);
        color: var(--color-blanco);
        font-weight: 400;
        font-size: 25px;
        margin-bottom: 20px;
    }

    #logo{
        display: flex;
    }

    #logo .grid{
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 10px;
        margin: 30px 0;
    }

  

    .grid div{
        height: 100px;
        background: rgb(228, 227, 227);
        width: 135px;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 15px;
        margin: 5px 5px 5px 5px  ;
    }

    .grid div img {
        margin: 2px 33px;
        filter: grayscale(100%);
        transition: 500ms;
    }    

    .logo1 img{
        width: 90px ;
        height: auto;
    }
    
    .logo2 img{
        width:160px;
        height: auto;
    }
    
    .logo3 img{
        width: 120px;
        height: auto;
    }

  

    #ClienteVideo .line{
        background:var(--color-negro);
        margin-top: 5px;
        margin-bottom: 5px;
        border-radius: 31px;
        width: 30px;
        height: 2px;
    }
    

    #ClienteVideo h2{
        font-size: 12px;
        text-align: center;
    }

    .gridVideo{
        display: grid;
        grid-template-columns: 1fr  1fr ;

    }

    .gridVideo div{
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 5px 5px 5px 5px;
    
    }

    .gridVideo video{
        height: 77.4px !important;
        width: 137.7px;
    }

    .nav-menu {
        flex-direction: column;
        align-items: center;
        margin: 0;
        background-color: var(--color-negro);
        position: fixed;
        top: 60px;
        width: 100%;
        padding: 20px 0;
    
        height: calc(100% - 60px);
        overflow-y: auto;
    
        left: 100%;
        transition: left 0.3s;
      }
    
      .nav-menu-item {
        line-height: 70px;
      }
    
      .nav-menu-link:hover,
      .nav-menu-link_active {
        background: none;
        color: #83c5f7;
      }
    
      .bars_menu {
        display: block;
      }
    
      .nav-menu_visible {
        left: 0;
      }
    
      .bars_menu:focus:not(:focus-visible) {
        outline: none;
      }

    .descripcion{
         padding: 0 ;
    }

    .team_foto img{
        max-width: 350px;
    }

    .team_foto p{
        max-width: 300px;
    }

    .team_description:hover {
        /* mostramos la caja hijo */
        opacity: 1;
    
        background-color: rgba(8, 8, 8, 0.9);
        color: var(--color-blanco);
        transition: ease-in-out;
        
        height: calc(170% - 60px);
        overflow-y: auto;
    
        
        transition:  1s;
    }


    /* MARATHON */

    #marathon_title img{
        width: 100%;
    }

    .grid2{
        display: grid;
        grid-template-columns: 1fr ;

    }

    .gri2 div{
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 5px 5px 5px 5px;
    
    }

    .grid2 img{
        height: 100%;
        width: 100%;
    }

    .video-responsive-trabajo{
        width: 100%;
        height: 100%;
    }

    .video-responsive-trabajoEcu{
        width: 100%;
        height: 100%;
    }

    .fila{
        flex-direction: column;
    }

    #uCampeon img{
        width: 100%;
        height: 100%;
    }

    .gridU{
        grid-template-columns: 1fr;
    }

    .gridU #UGrid img {
        max-width: 100%;
        height: 100%;
    }

    .gridU #u1 img {
        max-width: 100%;
        height: 100%;
        align-items: center;
    }

    /* PAGINA FPF */

    #fpf_title img{
        width: 100%;
    }

    .gridF{
        grid-template-columns: 1fr;
    }

    .rowF{
        flex-direction: column;
    }


    
}